JavaScript is required to use Bungie.net

Destiny 2

Общее обсуждение Destiny 2.
2/3/2021 5:14:37 PM
0

Braytech transponder bug

I’ve just purchased the transponder to collect the scanner from the eclipse zone. For some reason as I defeated by the fallen who was carrying the scanner it says transponder required. I don’t understand why it’s saying that when I’ve just brought it. I haven’t used it yet. Anyone else having this problem?

Публикуется на языке:

 

Играйте достойно. Потратьте минутку на ознакомление с нашими правилами, прежде чем отправлять вашу запись. Отмена Изменить Создать боевую группу Опубликовать

У вас нет прав для просмотра этих материалов.
;
preload icon
preload icon
preload icon